## qsynth 0.6.1

=== CMakeLists.txt ===
project(QSYNTH)

cmake_minimum_required(VERSION 3.1)

set (VERSION "0.6.1")

set (CONFIG_VERSION ${VERSION})
execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
  string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
endif ()

set (PACKAGE_NAME "Qsynth")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "qsynth")

set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")

if (CMAKE_BUILD_TYPE)
  set (CONFIG_BUILD_TYPE ${CMAKE_BUILD_TYPE})
else ()
  set (CONFIG_BUILD_TYPE "release")
endif ()

set (CONFIG_DEBUG 0)
if (CONFIG_BUILD_TYPE MATCHES "debug")
  set (CONFIG_DEBUG 1)
endif ()

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set (CONFIG_MANDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_MANDIR}")


# Enable system tray argument option.
option (CONFIG_SYSTEM_TRAY "Enable system tray (default=yes)" 1)

# Enable fluid_synth_get_channel_info function (DEPRECATED).
option (CONFIG_FLUID_CHANNEL_INFO "Enable FluidSynth channel info support (DEPRECATED) (default=no)" 0)
  
# Enable fluid_synth_set_midi_router function (DEPRECATED).
option (CONFIG_FLUID_MIDI_ROUTER "Enable FluidSynth MIDI router support (DEPRECATED) (default=no)" 0)

# Enable new_fluid_server function.
option (CONFIG_FLUID_SERVER "Enable FluidSynth server (default=yes)" 1)

# Enable unique/single instance.
option (CONFIG_XUNIQUE "Enable unique/single instance (default=yes)" 1)

# Enable gradient eye-candy.
option (CONFIG_GRADIENT "Enable gradient eye-candy (default=yes)" 1)

# Enable debugger stack-trace option (assumes --enable-debug).
option (CONFIG_STACKTRACE "Enable debugger stack-trace (default=no)" 0)


# Fix for new CMAKE_REQUIRED_LIBRARIES policy.
if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW)
endif ()

# Check for Qt
find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets)

if (CONFIG_XUNIQUE)
  find_package (Qt5 REQUIRED COMPONENTS Network)
endif ()

find_package (Qt5LinguistTools)

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckIncludeFileCXX)
include (CheckFunctionExists)
include (CheckLibraryExists)

# Checks for libraries.
if (WIN32)
  check_function_exists (lroundf CONFIG_ROUND)
else ()
  find_library (MATH_LIBRARY m)
  # Check for round math function.
  if (MATH_LIBRARY)
    set (CMAKE_REQUIRED_LIBRARIES "${MATH_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
    check_function_exists (lroundf CONFIG_ROUND)
  else ()
    message (FATAL_ERROR "*** math library not found.")
  endif ()
endif ()


# Checks for header files.
if (UNIX AND NOT APPLE)
  check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)
endif ()


# Find package modules
find_package (PkgConfig REQUIRED)

# Check for FLUIDSYNTH library.
pkg_check_modules (FLUIDSYNTH REQUIRED fluidsynth)
if (FLUIDSYNTH_FOUND)
  set (CONFIG_FLUIDSYNTH 1)
  include_directories (${FLUIDSYNTH_INCLUDE_DIRS})
  link_directories (${FLUIDSYNTH_LIBRARY_DIRS})
# link_libraries (${FLUIDSYNTH_LIBRARIES})
  set (CMAKE_REQUIRED_LIBRARIES "${FLUIDSYNTH_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  # Check for new_fluid_server function.
  if (CONFIG_FLUID_SERVER)
    check_function_exists (new_fluid_server CONFIG_FLUID_SERVER)
  endif ()
  # Check for fluid_synth_system_reset function.
  check_function_exists (fluid_synth_system_reset CONFIG_FLUID_SYSTEM_RESET)
  # Check for fluid_synth_set_bank_offset function.
  check_function_exists (fluid_synth_set_bank_offset CONFIG_FLUID_BANK_OFFSET)
  # Check for fluid_synth_get_channel_info function.
  if (CONFIG_FLUID_CHANNEL_INFO)
    check_function_exists (fluid_synth_get_channel_info CONFIG_FLUID_CHANNEL_INFO)
  endif()
  # Check for fluid_synth_set_midi_router function.
  if (CONFIG_FLUID_MIDI_ROUTER)
    check_function_exists (fluid_synth_set_midi_router CONFIG_FLUID_MIDI_ROUTER)
  endif()
  # Check for fluid_synth_unset_program function.
  check_function_exists (fluid_synth_unset_program CONFIG_FLUID_UNSET_PROGRAM)
  # Check for fluid_version_str function.
  check_function_exists (fluid_version_str CONFIG_FLUID_VERSION_STR)
  # Check for fluid_settings_dupstr function.
  check_function_exists (fluid_settings_dupstr CONFIG_FLUID_SETTINGS_DUPSTR)
  # Check for fluid_preset_get_banknum function.
  check_function_exists (fluid_preset_get_banknum CONFIG_FLUID_PRESET_GET_BANKNUM)
  # Check for fluid_preset_get_num function.
  check_function_exists (fluid_preset_get_num CONFIG_FLUID_PRESET_GET_NUM)
  # Check for fluid_preset_get_name function.
  check_function_exists (fluid_preset_get_name CONFIG_FLUID_PRESET_GET_NAME)
  # Check for fluid_preset_get_sfont function.
  check_function_exists (fluid_preset_get_sfont CONFIG_FLUID_PRESET_GET_SFONT)
  # Check for fluid_sfont_get_id function.
  check_function_exists (fluid_sfont_get_id CONFIG_FLUID_SFONT_GET_ID)
  # Check for fluid_sfont_get_name function.
  check_function_exists (fluid_sfont_get_name CONFIG_FLUID_SFONT_GET_NAME)
  # Check for fluid_sfont_iteration_start function.
  check_function_exists (fluid_sfont_iteration_start CONFIG_FLUID_SFONT_ITERATION_START)
  # Check for fluid_sfont_iteration_next function.
  check_function_exists (fluid_sfont_iteration_next CONFIG_FLUID_SFONT_ITERATION_NEXT)
  # Check for fluid_synth_get_chorus_speed function.
  check_function_exists (fluid_synth_get_chorus_speed CONFIG_FLUID_SYNTH_GET_CHORUS_SPEED)
  # Check for fluid_synth_get_chorus_depth function.
  check_function_exists (fluid_synth_get_chorus_depth CONFIG_FLUID_SYNTH_GET_CHORUS_DEPTH)
  # Check for FluidSynth API V2 (>= 2.0.0) specifics...
  if (CONFIG_FLUID_SFONT_ITERATION_START AND CONFIG_FLUID_SFONT_ITERATION_NEXT)
    # Check for fluid_settings_getnum_default function.
    check_function_exists (fluid_settings_getnum_default CONFIG_FLUID_SETTINGS_GETNUM_DEFAULT)
    # Check for fluid_settings_getint_default function.
    check_function_exists (fluid_settings_getint_default CONFIG_FLUID_SETTINGS_GETINT_DEFAULT)
    # Check for fluid_settings_getstr_default function.
    check_function_exists (fluid_settings_getstr_default CONFIG_FLUID_SETTINGS_GETSTR_DEFAULT)
    # Check for fluid_settings_foreach function.
    check_function_exists (fluid_settings_foreach CONFIG_FLUID_SETTINGS_FOREACH)
    # Check for fluid_settings_foreach_option function.
    check_function_exists (fluid_settings_foreach_option CONFIG_FLUID_SETTINGS_FOREACH_OPTION)
    # Check for new_fluid_server function.
    check_function_exists (new_fluid_server CONFIG_NEW_FLUID_SERVER)
  endif ()
else ()
  message (FATAL_ERROR "*** FLUIDSYNTH library not found.")
  set (CONFIG_FLUIDSYNTH 0)
endif ()


add_subdirectory (src)

configure_file (qsynth.spec.in qsynth.spec IMMEDIATE @ONLY)

install (FILES qsynth.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install (FILES qsynth.fr.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME qsynth.1)

# Configuration status
macro (SHOW_OPTION text value)
  if (${value})
    message ("${text}: yes")
  else ()
    message ("${text}: no")
  endif ()
endmacro ()


message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION}")
message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
show_option ("  FluidSynth library support . . . . . . . . . . . ." CONFIG_FLUIDSYNTH)
show_option ("  FluidSynth server support  . . . . . . . . . . . ." CONFIG_FLUID_SERVER)
show_option ("  FluidSynth system reset support . .  . . . . . . ." CONFIG_FLUID_SYSTEM_RESET)
show_option ("  FluidSynth bank offset support . . . . . . . . . ." CONFIG_FLUID_BANK_OFFSET)
show_option ("  FluidSynth channel info support (DEPRECATED) . . ." CONFIG_FLUID_CHANNEL_INFO)
show_option ("  FluidSynth MIDI router support  (DEPRECATED) . . ." CONFIG_FLUID_MIDI_ROUTER)
show_option ("  FluidSynth unset program support . . . . . . . . ." CONFIG_FLUID_UNSET_PROGRAM)
show_option ("  FluidSynth version string support  . . . . . . . ." CONFIG_FLUID_VERSION_STR)
message     ("")
show_option ("  System tray icon support . . . . . . . . . . . . ." CONFIG_SYSTEM_TRAY)
message     ("")
show_option ("  Unique/Single instance support . . . . . . . . . ." CONFIG_XUNIQUE)
show_option ("  Gradient eye-candy . . . . . . . . . . . . . . . ." CONFIG_GRADIENT)
show_option ("  Debugger stack-trace (gdb) . . . . . . . . . . . ." CONFIG_STACKTRACE)
message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
message   ("\nNow type 'make', followed by 'make install' as root.\n")

=== src/CMakeLists.txt ===
set(NAME qsynth)

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (HEADERS
  qsynth.h
  qsynthKnob.h
  qsynthMeter.h
  qsynthSystemTray.h
  qsynthTabBar.h
  qsynthAboutForm.h
  qsynthChannelsForm.h
  qsynthMainForm.h
  qsynthMessagesForm.h
  qsynthOptionsForm.h
  qsynthPaletteForm.h
  qsynthPresetForm.h
  qsynthSetupForm.h
)

set (SOURCES
  qsynth.cpp
  qsynthEngine.cpp
  qsynthChannels.cpp
  qsynthKnob.cpp
  qsynthMeter.cpp
  qsynthSetup.cpp
  qsynthOptions.cpp
  qsynthSystemTray.cpp
  qsynthTabBar.cpp
  qsynthAboutForm.cpp
  qsynthChannelsForm.cpp
  qsynthMainForm.cpp
  qsynthMessagesForm.cpp
  qsynthOptionsForm.cpp
  qsynthPaletteForm.cpp
  qsynthPresetForm.cpp
  qsynthSetupForm.cpp
  qsynthDialClassicStyle.cpp
  qsynthDialPeppinoStyle.cpp
  qsynthDialVokiStyle.cpp
  qsynthDialSkulptureStyle.cpp
)

set (FORMS
  qsynthAboutForm.ui
  qsynthChannelsForm.ui
  qsynthMainForm.ui
  qsynthMessagesForm.ui
  qsynthOptionsForm.ui
  qsynthPaletteForm.ui
  qsynthPresetForm.ui
  qsynthSetupForm.ui
)

set (RESOURCES
  qsynth.qrc
)

set ( TRANSLATIONS
   translations/qsynth_cs.ts
   translations/qsynth_de.ts
   translations/qsynth_es.ts
   translations/qsynth_fr.ts
   translations/qsynth_ru.ts
   translations/qsynth_sr.ts
)

qt5_add_translation ( QM_FILES ${TRANSLATIONS} )
add_custom_target( translations ALL DEPENDS ${QM_FILES} )

qt5_wrap_ui (UI_SOURCES ${FORMS})
qt5_wrap_cpp (MOC_SOURCES ${HEADERS})
qt5_add_resources (QRC_SOURCES ${RESOURCES})

if (WIN32)
  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${NAME}.rc)
  set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${NAME}.res.obj)
  find_program (WINDRES_EXECUTABLE NAMES windres mingw32-windres i686-mingw32-windres)
  if (MINGW)
    exec_program (${WINDRES_EXECUTABLE}
      ARGS "-i ${RC_FILE} -o ${RES_FILE} --include-dir=${CMAKE_CURRENT_SOURCE_DIR}/images")
    list (APPEND SOURCES ${RES_FILE})
  else ()
    list (APPEND SOURCES ${RC_FILE})
  endif ()
endif ()

if (APPLE)
  set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${NAME}.icns)
  list (APPEND SOURCES ${ICON_FILE})
  set (MACOSX_BUNDLE_ICON_FILE ${NAME}.icns)
  set_source_files_properties (${ICON_FILE} PROPERTIES
    MACOSX_PACKAGE_LOCATION Resources)
endif ()

add_executable (${NAME}
  ${UI_SOURCES}
  ${MOC_SOURCES}
  ${QRC_SOURCES}
  ${SOURCES}
)

set_target_properties (${NAME} PROPERTIES CXX_STANDARD 11)

if (WIN32)
  set_target_properties (${NAME} PROPERTIES WIN32_EXECUTABLE true)
endif ()

if (APPLE)
  set_target_properties (${NAME} PROPERTIES MACOSX_BUNDLE true)
endif ()

target_link_libraries (${NAME} PRIVATE Qt5::Widgets)

if (CONFIG_XUNIQUE)
  target_link_libraries (${NAME} PRIVATE Qt5::Network)
endif ()

if (CONFIG_FLUIDSYNTH)
  target_link_libraries (${NAME} PRIVATE ${FLUIDSYNTH_LIBRARIES})
endif ()

if (CONFIG_ROUND)
  target_link_libraries (${NAME} PRIVATE ${MATH_LIBRARY})
endif ()


if (UNIX AND NOT APPLE)
  install (TARGETS ${NAME} RUNTIME
     DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (FILES ${QM_FILES}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/${NAME}/translations)
  install (FILES ${NAME}.desktop
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES images/${NAME}.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES appdata/${NAME}.appdata.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
endif ()

if (WIN32)
   install (TARGETS ${NAME} RUNTIME
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
   install (FILES ${QM_FILES}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/${NAME}/translations)
endif ()

=== debian/changelog ===
qsynth (0.6.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:38 +0100

qsynth (0.6.1-1) unstable; urgency=medium

  * Team upload

  [ Olivier Humbert ]
  * d/control: Qt4 -> Qt
  * d/copyright: adds myself

  [ Dennis Braun ]
  * New upstream release

  [ Sebastian Ramacher ]
  * Bump Standards-Version
  * debian/: Build with cmake to properly handle manpages
  * debian/control:
    - Set RRR: no
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Jan 2020 15:12:32 +0100

qsynth (0.6.0-1) unstable; urgency=medium

  * Team upload

  [ Olivier Humbert ]
  * Update copyright (http -> https)

  [ Dennis Braun ]
  * New upstream release (Closes: #946738)
  * debian/copyright: Update copyright year
  * debian/patches/1001-soundfont_default_dir.patch: Update

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 16 Dec 2019 10:09:01 +0100

qsynth (0.5.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Update copyright date for rncbc

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 12
  * debian/copyright: Document appdata license

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Oct 2019 20:40:50 +0200

=== debian/control ===
Source: qsynth
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 libfluidsynth-dev,
 libqt5x11extras5-dev,
 libx11-dev,
 pkg-config,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools
Standards-Version: 4.5.0
Homepage: https://qsynth.sourceforge.io
Vcs-Git: https://salsa.debian.org/multimedia-team/qsynth.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qsynth
Rules-Requires-Root: no

Package: qsynth
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fluid-soundfont-gm
Suggests:
 jackd
Description: fluidsynth MIDI sound synthesiser front-end
 QSynth is a fluidsynth GUI front-end application written in C++ around the Qt
 toolkit. Eventually it may evolve into a softsynth management application
 allowing the user to control and manage a variety of command line softsynths
 but for the moment it wraps FluidSynth (http://www.fluidsynth.org).
 .
 FluidSynth is a command line software synthesiser based on the Soundfont
 specification.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ -Scmake

override_dh_auto_configure:
	dh_auto_configure -- --enable-debug

=== debian/watch ===
version=3
https://sf.net/qsynth/qsynth-([\d.]+)\.tar\.gz

## qsynth 0.6.3

=== debian/changelog ===
qsynth (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Bump dh-compat to 13
  * Remove obsolete linker flags in d/rules

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 03 Aug 2020 18:39:35 +0200

qsynth (0.6.2-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.6.2
  * Add d/upstream/metadata
  * Update d/copyright year
  * Disable debugging
  * Add myself as uploader

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 31 Mar 2020 09:44:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libfluidsynth-dev,
  libqt5x11extras5-dev,
  libx11-dev,

## qsynth 0.9.0.5+git60ff46-1~mx19+1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-project(QSYNTH)
+project(qsynth)
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.6.1")
+set (VERSION "0.9.1")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -12,8 +12,7 @@
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (VERSION "${GIT_DESCRIBE_OUTPUT}")
-  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
   string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
   string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
   execute_process (
@@ -82,13 +81,14 @@
 endif ()
 
 # Check for Qt
-find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets)
+find_package (QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets)
 
 if (CONFIG_XUNIQUE)
-  find_package (Qt5 REQUIRED COMPONENTS Network)
-endif ()
-
-find_package (Qt5LinguistTools)
+  find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Network)
+endif ()
+
+find_package (Qt${QT_VERSION_MAJOR}LinguistTools)
 
 include (CheckIncludeFile)
 include (CheckIncludeFiles)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(NAME qsynth)
+# project(qsynth)
 
 include_directories (
   ${CMAKE_CURRENT_SOURCE_DIR}
@@ -71,16 +71,16 @@
    translations/qsynth_sr.ts
 )
 
-qt5_add_translation ( QM_FILES ${TRANSLATIONS} )
-add_custom_target( translations ALL DEPENDS ${QM_FILES} )
+qt_wrap_ui (UI_SOURCES ${FORMS})
+qt_wrap_cpp (MOC_SOURCES ${HEADERS})
+qt_add_resources (QRC_SOURCES ${RESOURCES})
+qt_add_translation (QM_FILES ${TRANSLATIONS})
 
-qt5_wrap_ui (UI_SOURCES ${FORMS})
-qt5_wrap_cpp (MOC_SOURCES ${HEADERS})
-qt5_add_resources (QRC_SOURCES ${RESOURCES})
+add_custom_target (translations ALL DEPENDS ${QM_FILES})
 
 if (WIN32)
-  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${NAME}.rc)
-  set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${NAME}.res.obj)
+  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${PROJECT_NAME}.rc)
+  set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.res.obj)
   find_program (WINDRES_EXECUTABLE NAMES windres mingw32-windres i686-mingw32-windres)
   if (MINGW)
     exec_program (${WINDRES_EXECUTABLE}
@@ -92,61 +92,63 @@
 endif ()
 
 if (APPLE)
-  set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${NAME}.icns)
+  set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${PROJECT_NAME}.icns)
   list (APPEND SOURCES ${ICON_FILE})
-  set (MACOSX_BUNDLE_ICON_FILE ${NAME}.icns)
+  set (MACOSX_BUNDLE_ICON_FILE ${PROJECT_NAME}.icns)
   set_source_files_properties (${ICON_FILE} PROPERTIES
     MACOSX_PACKAGE_LOCATION Resources)
 endif ()
 
-add_executable (${NAME}
+add_executable (${PROJECT_NAME}
   ${UI_SOURCES}
   ${MOC_SOURCES}
   ${QRC_SOURCES}
   ${SOURCES}
 )
 
-set_target_properties (${NAME} PROPERTIES CXX_STANDARD 11)
+set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)
 
 if (WIN32)
-  set_target_properties (${NAME} PROPERTIES WIN32_EXECUTABLE true)
+  set_target_properties (${PROJECT_NAME} PROPERTIES WIN32_EXECUTABLE true)
 endif ()
 
 if (APPLE)
-  set_target_properties (${NAME} PROPERTIES MACOSX_BUNDLE true)
+  set_target_properties (${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE true)
 endif ()
 
-target_link_libraries (${NAME} PRIVATE Qt5::Widgets)
+target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)
 
 if (CONFIG_XUNIQUE)
-  target_link_libraries (${NAME} PRIVATE Qt5::Network)
+  target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Network)
 endif ()
 
 if (CONFIG_FLUIDSYNTH)
-  target_link_libraries (${NAME} PRIVATE ${FLUIDSYNTH_LIBRARIES})
+  target_link_libraries (${PROJECT_NAME} PRIVATE ${FLUIDSYNTH_LIBRARIES})
 endif ()
 
 if (CONFIG_ROUND)
-  target_link_libraries (${NAME} PRIVATE ${MATH_LIBRARY})
+  target_link_libraries (${PROJECT_NAME} PRIVATE ${MATH_LIBRARY})
 endif ()
 
 
 if (UNIX AND NOT APPLE)
-  install (TARGETS ${NAME} RUNTIME
+  install (TARGETS ${PROJECT_NAME} RUNTIME
      DESTINATION ${CMAKE_INSTALL_BINDIR})
   install (FILES ${QM_FILES}
-     DESTINATION ${CMAKE_INSTALL_DATADIR}/${NAME}/translations)
-  install (FILES ${NAME}.desktop
+     DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)
+  install (FILES ${PROJECT_NAME}.desktop
      DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
-  install (FILES images/${NAME}.png
+  install (FILES images/${PROJECT_NAME}.png
      DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
-  install (FILES appdata/${NAME}.appdata.xml
+  install (FILES images/${PROJECT_NAME}.svg
+     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
+  install (FILES appdata/${PROJECT_NAME}.appdata.xml
      DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 endif ()
 
 if (WIN32)
-   install (TARGETS ${NAME} RUNTIME
+   install (TARGETS ${PROJECT_NAME} RUNTIME
      DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
    install (FILES ${QM_FILES}
-     DESTINATION ${CMAKE_INSTALL_DATADIR}/${NAME}/translations)
+     DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)
 endif ()

=== debian/changelog ===
qsynth (0.9.0.5+git60ff46-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 06 Jan 2021 22:34:14 -0500

qsynth (0.9.0.5git.60ff46-1) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Wed, 06 Jan 2021 04:03:47 +0000

qsynth (0.9.0.5git.60ff46-45) unstable; urgency=low

  * Git snapshot.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed,  6 Jan 2021 04:00:55 +0000

qsynth (0.9.0-44) unstable; urgency=low

  * Winter'20 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 17 Dec 2020 20:00:00 +0000

qsynth (0.6.3-43) unstable; urgency=low

  * Summer'20 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri, 31 Jul 2020 20:00:00 +0100

qsynth (0.6.2-42) unstable; urgency=low

  * Spring'20 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue, 24 Mar 2020 20:00:00 +0000

qsynth (0.6.1-40) unstable; urgency=low

  * Winter'19 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sun, 22 Dec 2019 19:00:00 +0000

qsynth (0.6.0-19) unstable; urgency=low

  * Autumn'19 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 17 Oct 2019 19:00:00 +0100

qsynth (0.5.7-18) unstable; urgency=low

  * Summer'19 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri, 12 Jul 2019 19:00:00 +0100

qsynth (0.5.6-17) unstable; urgency=low

  * Spring-Break'19 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 11 Apr 2019 19:00:00 +0000

qsynth (0.5.5-16) unstable; urgency=low

  * Pre-LAC2019 release frenzy.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 11 Mar 2019 19:00:00 +0000

qsynth (0.5.4-15) unstable; urgency=low

  * End of Autumn'18 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed,  5 Dec 2018 19:00:00 +0000

qsynth (0.5.3-14) unstable; urgency=low

  * Autumn'18 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed, 10 Oct 2018 19:00:00 +0100

qsynth (0.5.2-13) unstable; urgency=low

  * Summer'18 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sun, 22 Jul 2018 20:00:00 +0100

qsynth (0.5.1-12) unstable; urgency=low

  * Pre-LAC2018 release frenzy.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 21 May 2018 12:00:00 +0100

qsynth (0.5.0-11) unstable; urgency=low

  * End of Autumn'17 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 16 Dec 2017 19:00:00 +0000

qsynth (0.4.4-10) unstable; urgency=low

  * Pre-LAC2017 release frenzy.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 27 Apr 2017 19:00:00 +0000

qsynth (0.4.3-9) unstable; urgency=low

  * A Fall'16 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 14 Nov 2016 12:00:00 +0000

qsynth (0.4.2-8) unstable; urgency=low

  * End of Summer'16 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed, 15 Apr 2016 12:00:00 +0100

qsynth (0.4.1-7) unstable; urgency=low

  * Spring'16 release frenzy.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue,  5 Apr 2016 18:30:00 +0100

qsynth (0.4.0-6) unstable; urgency=low

  * Summer'15 release frenzy.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon,  7 Sep 2015 18:30:00 +0100

qsynth (0.3.9-5) unstable; urgency=low

  * Pre-LAC2015 release frenzy.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed, 25 Mar 2015 18:30:00 +0100

qsynth (0.3.8-4) unstable; urgency=low

  * A fifth of a Jubilee release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue, 31 Dec 2013 12:00:00 +0100

qsynth (0.3.7-3) unstable; urgency=low

  * Spring cleaning sale.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue, 16 Apr 2013 18:35:00 +0100

qsynth (0.3.5-2) unstable; urgency=low

  * Overdue release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue, 27 Apr 2010 19:05:00 +0100

qsynth (0.3.3-1) unstable; urgency=low

  * Knobs galore.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 10 Jul 2008 16:01:30 +0100

qsynth (0.3.1-1) unstable; urgency=low

  * Shallowed bug-fix release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 16 Jul 2007 09:15:20 +0100

qsynth (0.3.0-1) unstable; urgency=low

  * Initial debianization.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue,  3 Jul 2007 10:05:01 +0100

=== debian/control ===
Source: qsynth
Section: contrib/sound
Priority: extra
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Rui Nuno Capela <rncbc@rncbc.org>
Build-Depends: debhelper (>= 9), automake, pkg-config,
  qtchooser, qtbase5-dev (>= 5.1), qtbase5-dev-tools (>= 5.1),
  qttools5-dev (>= 5.1), qttools5-dev-tools (>= 5.1),
  libfluidsynth-dev
Standards-Version: 3.9.7

Package: qsynth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A fluidsynth Qt GUI Interface
  Qsynth is a fluidsynth GUI front-end application written in C++
  around the Qt framework using Qt Designer. Eventually it may evolve
  into a softsynth management application allowing the user to control
  and manage a variety of command line softsynths but for the moment
  it wraps the excellent FluidSynth (http://www.fluidsynth.org).
  FluidSynth is a command line software synthesiser based on the
  Soundfont specification.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	# Add here commands to configure the package.
	./autogen.sh
	./configure --prefix=/usr
	# --- end custom part for configure

override_dh_clean:
	# Add here commands to clean up after the build process.
	./autogen.sh clean
	# --- end custom part for cleaning up

	dh_clean

## qsynth 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
-project(qsynth)
-
-cmake_minimum_required(VERSION 3.1)
-
-set (VERSION "0.9.1")
-
-set (CONFIG_VERSION ${VERSION})
+cmake_minimum_required(VERSION 3.10)
+
+project(qsynth
+  VERSION 0.9.1
+  DESCRIPTION "A fluidsynth Qt GUI Interface"
+  LANGUAGES C CXX)
+
+list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
+
+set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
   OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
@@ -23,6 +26,8 @@
   if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
     set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
   endif ()
+else ()
+  set (VERSION "${PROJECT_VERSION}")
 endif ()
 
 set (PACKAGE_NAME "Qsynth")
@@ -121,17 +126,11 @@
 find_package (PkgConfig REQUIRED)
 
 # Check for FLUIDSYNTH library.
-pkg_check_modules (FLUIDSYNTH REQUIRED fluidsynth)
+pkg_check_modules (FLUIDSYNTH REQUIRED IMPORTED_TARGET fluidsynth)
 if (FLUIDSYNTH_FOUND)
   set (CONFIG_FLUIDSYNTH 1)
-  include_directories (${FLUIDSYNTH_INCLUDE_DIRS})
-  link_directories (${FLUIDSYNTH_LIBRARY_DIRS})
-# link_libraries (${FLUIDSYNTH_LIBRARIES})
-  set (CMAKE_REQUIRED_LIBRARIES "${FLUIDSYNTH_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
-  # Check for new_fluid_server function.
-  if (CONFIG_FLUID_SERVER)
-    check_function_exists (new_fluid_server CONFIG_FLUID_SERVER)
-  endif ()
+  find_library(FLUIDSYNTH_LIBRARY NAMES ${FLUIDSYNTH_LIBRARIES} HINTS ${FLUIDSYNTH_LIBDIR})
+  set (CMAKE_REQUIRED_LIBRARIES "${FLUIDSYNTH_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
   # Check for fluid_synth_system_reset function.
   check_function_exists (fluid_synth_system_reset CONFIG_FLUID_SYSTEM_RESET)
   # Check for fluid_synth_set_bank_offset function.
@@ -183,7 +182,9 @@
     # Check for fluid_settings_foreach_option function.
     check_function_exists (fluid_settings_foreach_option CONFIG_FLUID_SETTINGS_FOREACH_OPTION)
     # Check for new_fluid_server function.
-    check_function_exists (new_fluid_server CONFIG_NEW_FLUID_SERVER)
+    if (CONFIG_FLUID_SERVER)
+      check_function_exists (new_fluid_server CONFIG_NEW_FLUID_SERVER)
+    endif ()
   endif ()
 else ()
   message (FATAL_ERROR "*** FLUIDSYNTH library not found.")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,14 @@
 # project(qsynth)
 
-include_directories (
-  ${CMAKE_CURRENT_SOURCE_DIR}
-  ${CMAKE_CURRENT_BINARY_DIR}
-)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
+set(CMAKE_AUTOUIC ON)
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTORCC ON)
+
+if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+    file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+endif()
 configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 set (HEADERS
@@ -71,15 +75,20 @@
    translations/qsynth_sr.ts
 )
 
-qt_wrap_ui (UI_SOURCES ${FORMS})
-qt_wrap_cpp (MOC_SOURCES ${HEADERS})
-qt_add_resources (QRC_SOURCES ${RESOURCES})
-qt_add_translation (QM_FILES ${TRANSLATIONS})
+if (QT_VERSION VERSION_LESS 5.15.0)
+    qt5_add_translation (QM_FILES ${TRANSLATIONS})
+else()
+    qt_add_translation (QM_FILES ${TRANSLATIONS})
+endif()
 
 add_custom_target (translations ALL DEPENDS ${QM_FILES})
 
 if (WIN32)
-  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${PROJECT_NAME}.rc)
+  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/win32/setup.nsi.in
+                 ${CMAKE_CURRENT_BINARY_DIR}/setup.nsi IMMEDIATE @ONLY)
+  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/win32/${PROJECT_NAME}.rc.in
+                 ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.rc IMMEDIATE @ONLY)
+  set (RC_FILE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.rc)
   set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.res.obj)
   find_program (WINDRES_EXECUTABLE NAMES windres mingw32-windres i686-mingw32-windres)
   if (MINGW)
@@ -93,17 +102,25 @@
 
 if (APPLE)
   set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${PROJECT_NAME}.icns)
-  list (APPEND SOURCES ${ICON_FILE})
+  list (APPEND SOURCES ${ICON_FILE} ${QM_FILES})
   set (MACOSX_BUNDLE_ICON_FILE ${PROJECT_NAME}.icns)
   set_source_files_properties (${ICON_FILE} PROPERTIES
     MACOSX_PACKAGE_LOCATION Resources)
+  set_source_files_properties (${QM_FILES} PROPERTIES
+    MACOSX_PACKAGE_LOCATION translations)
+  include(TranslationUtils)
+  add_qt_translations(QT_TRANSLATIONS cs de es fr ru sr)
+  set_source_files_properties (${QT_TRANSLATIONS} PROPERTIES
+    MACOSX_PACKAGE_LOCATION translations)
+  list (APPEND SOURCES ${QT_TRANSLATIONS})
 endif ()
 
+
 add_executable (${PROJECT_NAME}
-  ${UI_SOURCES}
-  ${MOC_SOURCES}
-  ${QRC_SOURCES}
+  ${HEADERS}
   ${SOURCES}
+  ${FORMS}
+  ${RESOURCES}
 )
 
 set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)
@@ -113,7 +130,16 @@
 endif ()
 
 if (APPLE)
-  set_target_properties (${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE true)
+  set_target_properties (${PROJECT_NAME} PROPERTIES
+    MACOSX_BUNDLE true
+    MACOSX_BUNDLE_GUI_IDENTIFIER "org.rncbc.qsynth"
+    MACOSX_BUNDLE_BUNDLE_NAME "${PACKAGE_NAME}"
+    MACOSX_BUNDLE_DISPLAY_NAME "${PACKAGE_NAME}"
+    MACOSX_BUNDLE_INFO_STRING "A fluidsynth Qt GUI Interface"
+    MACOSX_BUNDLE_LONG_VERSION_STRING "${VERSION}"
+    MACOSX_BUNDLE_SHORT_VERSION_STRING "${CONFIG_VERSION}"
+    MACOSX_BUNDLE_BUNDLE_VERSION "${CONFIG_VERSION}"
+    MACOSX_BUNDLE_COPYRIGHT "Copyright © 2003-2021, Rui Nuno Capela. All rights reserved.")
 endif ()
 
 target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)
@@ -123,7 +149,7 @@
 endif ()
 
 if (CONFIG_FLUIDSYNTH)
-  target_link_libraries (${PROJECT_NAME} PRIVATE ${FLUIDSYNTH_LIBRARIES})
+  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::FLUIDSYNTH)
 endif ()
 
 if (CONFIG_ROUND)
@@ -152,3 +178,5 @@
    install (FILES ${QM_FILES}
      DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)
 endif ()
+
+include(DeploymentUtils)

=== debian/changelog ===
qsynth (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Refresh soundfont dir patch
  * Add d/lintian-overrides
  * Update d/copyright year
  * d/copyright: Add myself to the d/ section

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 08 Feb 2021 18:30:21 +0100

qsynth (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Bump S-V to 4.5.1, no changes needed
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 18 Dec 2020 22:37:04 +0100

=== debian/control ===
Source: qsynth
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libfluidsynth-dev,
 libqt5x11extras5-dev,
 libx11-dev,
 pkg-config,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools
Standards-Version: 4.5.1
Homepage: https://qsynth.sourceforge.io
Vcs-Git: https://salsa.debian.org/multimedia-team/qsynth.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qsynth
Rules-Requires-Root: no

Package: qsynth
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fluid-soundfont-gm
Suggests:
 jackd
Description: fluidsynth MIDI sound synthesiser front-end
 QSynth is a fluidsynth GUI front-end application written in C++ around the Qt
 toolkit. Eventually it may evolve into a softsynth management application
 allowing the user to control and manage a variety of command line softsynths
 but for the moment it wraps FluidSynth (http://www.fluidsynth.org).
 .
 FluidSynth is a command line software synthesiser based on the Soundfont
 specification.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Scmake

## qsynth 0.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required(VERSION 3.10)
-
-project(qsynth
-  VERSION 0.9.1
+cmake_minimum_required (VERSION 3.13)
+
+project (qsynth
+  VERSION 0.9.4
   DESCRIPTION "A fluidsynth Qt GUI Interface"
   LANGUAGES C CXX)
 
@@ -10,16 +10,20 @@
 set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
+  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
   OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
   RESULT_VARIABLE GIT_DESCRIBE_RESULT
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (VERSION "${GIT_DESCRIBE_OUTPUT}")
   string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^1_"      "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
   string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
-  string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
+  string (REGEX REPLACE "[_|-]"   "." VERSION "${VERSION}")
   execute_process (
     COMMAND git rev-parse --abbrev-ref HEAD
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
     RESULT_VARIABLE GIT_REVPARSE_RESULT
     OUTPUT_STRIP_TRAILING_WHITESPACE)
@@ -36,17 +40,21 @@
 set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
 set (PACKAGE_TARNAME "qsynth")
 
+set (ac_version "${PROJECT_VERSION}")
+set (ac_prefix "${CMAKE_INSTALL_PREFIX}")
+
 set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")
 
-if (CMAKE_BUILD_TYPE)
-  set (CONFIG_BUILD_TYPE ${CMAKE_BUILD_TYPE})
+if (CONFIG_DEBUG)
+  set (CMAKE_BUILD_TYPE "Debug")
+endif ()
+if (CMAKE_BUILD_TYPE MATCHES "Debug")
+  set (CONFIG_DEBUG 1)
+endif ()
+if (CONFIG_DEBUG)
+  set (CONFIG_BUILD_TYPE "debug")
 else ()
   set (CONFIG_BUILD_TYPE "release")
-endif ()
-
-set (CONFIG_DEBUG 0)
-if (CONFIG_BUILD_TYPE MATCHES "debug")
-  set (CONFIG_DEBUG 1)
 endif ()
 
 set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")
@@ -80,13 +88,29 @@
 option (CONFIG_STACKTRACE "Enable debugger stack-trace (default=no)" 0)
 
 
+# Enable Qt6 build preference.
+option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)
+
+
 # Fix for new CMAKE_REQUIRED_LIBRARIES policy.
 if (POLICY CMP0075)
   cmake_policy (SET CMP0075 NEW)
 endif ()
 
-# Check for Qt
-find_package (QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+# Check for Qt...
+if (CONFIG_QT6)
+  find_package (Qt6 QUIET)
+  if (NOT Qt6_FOUND)
+    set (CONFIG_QT6 0)
+  endif ()
+endif ()
+
+if (CONFIG_QT6)
+  find_package (QT QUIET NAMES Qt6)
+else ()
+  find_package (QT QUIET NAMES Qt5)
+endif ()
+
 find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets)
 
 if (CONFIG_XUNIQUE)
@@ -123,13 +147,15 @@
 
 
 # Find package modules
-find_package (PkgConfig REQUIRED)
+include (FindPkgConfig)
 
 # Check for FLUIDSYNTH library.
 pkg_check_modules (FLUIDSYNTH REQUIRED IMPORTED_TARGET fluidsynth)
 if (FLUIDSYNTH_FOUND)
+  find_library(FLUIDSYNTH_LIBRARY NAMES ${FLUIDSYNTH_LIBRARIES} HINTS ${FLUIDSYNTH_LIBDIR})
+endif ()
+if (FLUIDSYNTH_LIBRARY)
   set (CONFIG_FLUIDSYNTH 1)
-  find_library(FLUIDSYNTH_LIBRARY NAMES ${FLUIDSYNTH_LIBRARIES} HINTS ${FLUIDSYNTH_LIBDIR})
   set (CMAKE_REQUIRED_LIBRARIES "${FLUIDSYNTH_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
   # Check for fluid_synth_system_reset function.
   check_function_exists (fluid_synth_system_reset CONFIG_FLUID_SYSTEM_RESET)
@@ -185,6 +211,8 @@
     if (CONFIG_FLUID_SERVER)
       check_function_exists (new_fluid_server CONFIG_NEW_FLUID_SERVER)
     endif ()
+    # Check for fluid_free function
+    check_function_exists (fluid_free CONFIG_FLUID_FREE)
   endif ()
 else ()
   message (FATAL_ERROR "*** FLUIDSYNTH library not found.")
@@ -209,7 +237,7 @@
 endmacro ()
 
 
-message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION}")
+message   ("\n  ${PACKAGE_NAME} ${PACKAGE_VERSION} (Qt ${QT_VERSION})")
 message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
 show_option ("  FluidSynth library support . . . . . . . . . . . ." CONFIG_FLUIDSYNTH)
 show_option ("  FluidSynth server support  . . . . . . . . . . . ." CONFIG_FLUID_SERVER)
@@ -225,5 +253,5 @@
 show_option ("  Unique/Single instance support . . . . . . . . . ." CONFIG_XUNIQUE)
 show_option ("  Gradient eye-candy . . . . . . . . . . . . . . . ." CONFIG_GRADIENT)
 show_option ("  Debugger stack-trace (gdb) . . . . . . . . . . . ." CONFIG_STACKTRACE)
-message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}")
+message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}")
 message   ("\nNow type 'make', followed by 'make install' as root.\n")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
-# project(qsynth)
+# project (qsynth)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
+set (CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(CMAKE_AUTOUIC ON)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
+set (CMAKE_AUTOUIC ON)
+set (CMAKE_AUTOMOC ON)
+set (CMAKE_AUTORCC ON)
 
 if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
-    file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
-endif()
+    file (REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+endif ()
 configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 set (HEADERS
@@ -123,6 +123,12 @@
   ${RESOURCES}
 )
 
+# Add some debugger flags.
+if (CONFIG_DEBUG AND UNIX AND NOT APPLE)
+  target_compile_options (${PROJECT_NAME} PRIVATE -g -fsanitize=address -fno-omit-frame-pointer)
+  target_link_libraries (${PROJECT_NAME} PRIVATE asan)
+endif ()
+
 set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)
 
 if (WIN32)

=== debian/changelog ===
qsynth (0.9.4-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 04 Oct 2021 17:29:24 -0400

qsynth (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Bump Standards-Version to 4.6.0
  * debian/rules: Atm debian archive has no qt6, we compile with --disable-qt6
  * Refresh patchset

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 23 Aug 2021 21:50:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qsynth
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
@@ -16,7 +17,7 @@
  qtbase5-dev,
  qttools5-dev,
  qttools5-dev-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://qsynth.sourceforge.io
 Vcs-Git: https://salsa.debian.org/multimedia-team/qsynth.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qsynth

## qsynth 0.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required (VERSION 3.13)
+cmake_minimum_required (VERSION 3.15)
 
 project (qsynth
-  VERSION 0.9.4
+  VERSION 0.9.5
   DESCRIPTION "A fluidsynth Qt GUI Interface"
   LANGUAGES C CXX)
 
@@ -253,5 +253,4 @@
 show_option ("  Unique/Single instance support . . . . . . . . . ." CONFIG_XUNIQUE)
 show_option ("  Gradient eye-candy . . . . . . . . . . . . . . . ." CONFIG_GRADIENT)
 show_option ("  Debugger stack-trace (gdb) . . . . . . . . . . . ." CONFIG_STACKTRACE)
-message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}")
-message   ("\nNow type 'make', followed by 'make install' as root.\n")
+message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}\n")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 set (CMAKE_AUTORCC ON)
 
 if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
-    file (REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+  file (REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
 endif ()
-configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 set (HEADERS
   qsynth.h
@@ -168,13 +168,13 @@
      DESTINATION ${CMAKE_INSTALL_BINDIR})
   install (FILES ${QM_FILES}
      DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)
-  install (FILES ${PROJECT_NAME}.desktop
+  install (FILES org.rncbc.${PROJECT_NAME}.desktop
      DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
   install (FILES images/${PROJECT_NAME}.png
      DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
   install (FILES images/${PROJECT_NAME}.svg
      DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
-  install (FILES appdata/${PROJECT_NAME}.appdata.xml
+  install (FILES appdata/org.rncbc.${PROJECT_NAME}.xml
      DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 endif ()

=== debian/changelog ===
qsynth (0.9.5-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 17 Jan 2022 01:02:35 -0500

qsynth (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * Refresh patchset
  * Update d/copyright years
  * Remove not existing TODO from d/docs
  * Update d/lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 13 Jan 2022 15:40:07 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Scmake --disable-qt6

override_dh_strip:
	dh_strip --no-automatic-dbgsym
